Open CASCADE Technology  7.5.0.beta
Public Member Functions
GC_MakeConicalSurface Class Reference

This class implements the following algorithms used to create a ConicalSurface from Geom. More...

#include <GC_MakeConicalSurface.hxx>

Inheritance diagram for GC_MakeConicalSurface:
Inheritance graph
[legend]

Public Member Functions

 GC_MakeConicalSurface (const gp_Ax2 &A2, const Standard_Real Ang, const Standard_Real Radius)
 A2 defines the local coordinate system of the conical surface. Ang is the conical surface semi-angle ]0, PI/2[. Radius is the radius of the circle Viso in the placement plane of the conical surface defined with "XAxis" and "YAxis". The "ZDirection" of A2 defines the direction of the surface's axis of symmetry. If the location point of A2 is the apex of the surface Radius = 0 . At the creation the parametrization of the surface is defined such that the normal Vector (N = D1U ^ D1V) is oriented towards the "outside region" of the surface. Status is "NegativeRadius" if Radius < 0.0 or "BadAngle" if Ang < Resolution from gp or Ang >= PI/ - Resolution. More...
 
 GC_MakeConicalSurface (const gp_Cone &C)
 Creates a ConicalSurface from a non persistent Cone from package gp. More...
 
 GC_MakeConicalSurface (const gp_Pnt &P1, const gp_Pnt &P2, const gp_Pnt &P3, const gp_Pnt &P4)
 Make a ConicalSurface from Geom <TheCone> passing through 3 Pnt <P1>,<P2>,<P3>. Its axis is <P1P2> and the radius of its base is the distance between <P3> and <P1P2>. The distance between <P4> and <P1P2> is the radius of the section passing through <P4>. An error iss raised if <P1>,<P2>,<P3>,<P4> are colinear or if <P3P4> is perpendicular to <P1P2> or <P3P4> is colinear to <P1P2>. More...
 
 GC_MakeConicalSurface (const gp_Pnt &P1, const gp_Pnt &P2, const Standard_Real R1, const Standard_Real R2)
 Make a ConicalSurface with two points and two radius. The axis of the solution is the line passing through <P1> and <P2>. <R1> is the radius of the section passing through <P1> and <R2> the radius of the section passing through <P2>. More...
 
const Handle< Geom_ConicalSurface > & Value () const
 Returns the constructed cone. Exceptions StdFail_NotDone if no cone is constructed. More...
 
 operator const Handle< Geom_ConicalSurface > & () const
 
- Public Member Functions inherited from GC_Root
Standard_Boolean IsDone () const
 Returns true if the construction is successful. More...
 
gce_ErrorType Status () const
 Returns the status of the construction: More...
 

Additional Inherited Members

- Protected Attributes inherited from GC_Root
gce_ErrorType TheError
 

Detailed Description

This class implements the following algorithms used to create a ConicalSurface from Geom.

The "ZAxis" is the symmetry axis of the ConicalSurface, it gives the direction of increasing parametric value V. The apex of the surface is on the negative side of this axis.

The parametrization range is : U [0, 2*PI], V ]-infinite, + infinite[

The "XAxis" and the "YAxis" define the placement plane of the surface (Z = 0, and parametric value V = 0) perpendicular to the symmetry axis. The "XAxis" defines the origin of the parameter U = 0. The trigonometric sense gives the positive orientation for the parameter U.

When you create a ConicalSurface the U and V directions of parametrization are such that at each point of the surface the normal is oriented towards the "outside region".

Constructor & Destructor Documentation

◆ GC_MakeConicalSurface() [1/4]

GC_MakeConicalSurface::GC_MakeConicalSurface ( const gp_Ax2 A2,
const Standard_Real  Ang,
const Standard_Real  Radius 
)

A2 defines the local coordinate system of the conical surface. Ang is the conical surface semi-angle ]0, PI/2[. Radius is the radius of the circle Viso in the placement plane of the conical surface defined with "XAxis" and "YAxis". The "ZDirection" of A2 defines the direction of the surface's axis of symmetry. If the location point of A2 is the apex of the surface Radius = 0 . At the creation the parametrization of the surface is defined such that the normal Vector (N = D1U ^ D1V) is oriented towards the "outside region" of the surface. Status is "NegativeRadius" if Radius < 0.0 or "BadAngle" if Ang < Resolution from gp or Ang >= PI/ - Resolution.

◆ GC_MakeConicalSurface() [2/4]

GC_MakeConicalSurface::GC_MakeConicalSurface ( const gp_Cone C)

Creates a ConicalSurface from a non persistent Cone from package gp.

◆ GC_MakeConicalSurface() [3/4]

GC_MakeConicalSurface::GC_MakeConicalSurface ( const gp_Pnt P1,
const gp_Pnt P2,
const gp_Pnt P3,
const gp_Pnt P4 
)

Make a ConicalSurface from Geom <TheCone> passing through 3 Pnt <P1>,<P2>,<P3>. Its axis is <P1P2> and the radius of its base is the distance between <P3> and <P1P2>. The distance between <P4> and <P1P2> is the radius of the section passing through <P4>. An error iss raised if <P1>,<P2>,<P3>,<P4> are colinear or if <P3P4> is perpendicular to <P1P2> or <P3P4> is colinear to <P1P2>.

◆ GC_MakeConicalSurface() [4/4]

GC_MakeConicalSurface::GC_MakeConicalSurface ( const gp_Pnt P1,
const gp_Pnt P2,
const Standard_Real  R1,
const Standard_Real  R2 
)

Make a ConicalSurface with two points and two radius. The axis of the solution is the line passing through <P1> and <P2>. <R1> is the radius of the section passing through <P1> and <R2> the radius of the section passing through <P2>.

Member Function Documentation

◆ operator const Handle< Geom_ConicalSurface > &()

GC_MakeConicalSurface::operator const Handle< Geom_ConicalSurface > & ( ) const
inline

◆ Value()

const Handle< Geom_ConicalSurface >& GC_MakeConicalSurface::Value ( ) const

Returns the constructed cone. Exceptions StdFail_NotDone if no cone is constructed.


The documentation for this class was generated from the following file: